Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::ImageMenuItem Class Reference

A GtkImageMenuItem C++ wrapper class. More...

`#include <inti/gtk/imagemenuitem.h>`

Inheritance diagram for Inti::Gtk::ImageMenuItem:

List of all members.

## Public Member Functions

Constructors

- ImageMenuItem ()
    Construct a new ImageMenuItem.
- ImageMenuItem (const String &label, bool use_underline=false)
    Constructs a new ImageMenuItem containing a label.
- ImageMenuItem (Widget &image, const String &label, bool use_underline=false)
    Constructs a new ImageMenuItem containing an image and a label.
- ImageMenuItem (Widget &image, const String &label, Menu &submenu, bool use_underline=false)
    Constructs a new ImageMenuItem that displays a submenu.
- virtual ~ImageMenuItem ()
    Destructor.

Accessors

- GtkImageMenuItem * gtk_image_menu_item () const
    Get a pointer to the GtkImageMenuItem structure.
- GtkImageMenuItemClass * gtk_image_menu_item_class () const
    Get a pointer to the GtkImageMenuItemClass structure.
- operator GtkImageMenuItem * () const
    Conversion operator; safely converts an ImageMenuItem to a GtkImageMenuItem pointer.
- Widget * get_image () const
    Gets the widget that is currently set as the image of ImageMenuItem (see set_image()).

Methods

- void set_image (Widget &image)
    Sets the image of ImageMenuItem to the given widget.

Property Proxies

- const ImagePropertyProxy prop_image ()
    Child widget to appear next to the menu text (Widget* : Read / Write).

## Protected Member Functions

Constructors

- ImageMenuItem (GtkImageMenuItem *menu_item, bool reference=false)
    Construct a new ImageMenuItem from an existing GtkImageMenuItem.

## Detailed Description

A GtkImageMenuItem C++ wrapper class.

ImageMenuItem is a MenuItem widget that displays an image at the left side of the menu item text.

## Constructor & Destructor Documentation

Inti::Gtk::ImageMenuItem::ImageMenuItem | ( | GtkImageMenuItem * | menu_item,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new ImageMenuItem from an existing GtkImageMenuItem. Parameters:
  menu_item | A pointer to a GtkImageMenuItem.
  reference | Set false if the initial reference count is floating, set true if it's not.
The menu_item can be a newly created GtkImageMenuItem or an existing GtkImageMenuItem (see G::Object::Object).

Inti::Gtk::ImageMenuItem::ImageMenuItem | ( | const String & | label,
|  | bool | use_underline = false
| ) | `[explicit]`

  | Constructs a new ImageMenuItem containing a label. Parameters:
  label | The text of the menu item.
  use_underline | Set true if label contains a mnemonic character.
If characters in label are preceded by an underscore, they are underlined. If you need a literal underscore character in a label, use '__' (two underscores). The first underlined character represents a keyboard accelerator called a mnemonic. Pressing Alt and that key activates the menu item.

Inti::Gtk::ImageMenuItem::ImageMenuItem | ( | Widget & | image,
|  | const String & | label,
|  | bool | use_underline = false
| ) |

  | Constructs a new ImageMenuItem containing an image and a label. Parameters:
  image | A widget to set as the image for the menu item.
  label | The text of the menu item.
  use_underline | Set true if label contains a mnemonic character.
If characters in label are preceded by an underscore, they are underlined. If you need a literal underscore character in a label, use '__' (two underscores). The first underlined character represents a keyboard accelerator called a mnemonic. Pressing Alt and that key activates the menu item.

Inti::Gtk::ImageMenuItem::ImageMenuItem | ( | Widget & | image,
|  | const String & | label,
|  | Menu & | submenu,
|  | bool | use_underline = false
| ) |

  | Constructs a new ImageMenuItem that displays a submenu. Parameters:
  image | A widget to set as the image for the menu item.
  label | The text of the menu item.
  submenu | The submenu under this menu item.
  use_underline | Set true if label contains a mnemonic character.
If characters in label are preceded by an underscore, they are underlined. If you need a literal underscore character in a label, use '__' (two underscores). The first underlined character represents a keyboard accelerator called a mnemonic. Pressing Alt and that key activates the menu item.

## Member Function Documentation

void Inti::Gtk::ImageMenuItem::set_image | ( | Widget & | image | ) |

  | Sets the image of ImageMenuItem to the given widget. Parameters:
  image | A widget to set as the image for the menu item.

The documentation for this class was generated from the following file:

- imagemenuitem.h

Main Page - Footer